# $Revision: 1.416 $, $Date: 2012/06/18 12:05:08 $
# TODO: use system sqlite
#
# Conditional build:
%bcond_with	dlopen_gl	# dlopen libGL.so and libXmu.so instead of direct linking (NOTE: should dlopen by soname, not *.so like it does now!)
%bcond_with	nas		# enable NAS audio support
%bcond_with	single		# enable single-threaded libraries
%bcond_without	static_libs	# don't build static libraries
%bcond_without	cups		# disable CUPS support
%bcond_without	mysql		# don't build MySQL plugin
%bcond_without	odbc		# don't build unixODBC plugin
%bcond_without	pgsql		# don't build PostgreSQL plugin
%bcond_without	designer	# don't build designer (it takes long)
%bcond_without	sqlite		# don't build SQLite plugin
%bcond_without	ibase		# don't build ibase (InterBase/Firebird) plugin
%bcond_without	pch		# don't enable pch in qmake
#
%ifnarch %{ix86} %{x8664} sparc sparcv9 alpha ppc
%undefine	with_ibase
%endif
%define		with_sql	1
%{!?with_sqlite:%{!?with_ibase:%{!?with_mysql:%{!?with_pgsql:%{!?with_odbc:%undefine with_sql}}}}}

%define		ver		3.3.8.d

Summary:	The Qt3 GUI application framework
Summary(es.UTF-8):	Biblioteca para ejecutar aplicaciones GUI Qt
Summary(pl.UTF-8):	Biblioteka Qt3 do tworzenia GUI
Summary(pt_BR.UTF-8):	Estrutura para rodar aplicações GUI Qt
Name:		qt
Version:	%{ver}
Release:	4
Epoch:		6
License:	QPL v1, GPL v2 or GPL v3
Group:		X11/Libraries
Source0:	http://mirror.ets.kth.se/trinity/releases/3.5.13/dependencies/qt3-%{version}.tar.gz
# Source0-md5:	78dc675e84aed595375449818cbb589a
Source1:	%{name}config.desktop
Source2:	designer.desktop
Source3:	assistant.desktop
Source4:	linguist.desktop
Source5:	designer.png
Source6:	assistant.png
Source7:	linguist.png
# generated using notes from kdebase-SuSE/qtkdeintegration/README
Source8:	qtkdeintegration_x11.cpp
Source9:	qtkdeintegration_x11_p.h

Patch1:		%{name}-FHS.patch
Patch2:		%{name}-qmake-nostatic.patch
Patch3:		%{name}-disable_tutorials.patch
Patch4:		%{name}-locale.patch
Patch5:		%{name}-make_use_of_locale.patch
Patch6:		%{name}-qmake-opt.patch
Patch7:		%{name}-locale-charmap.patch
Patch8:		%{name}-gcc34.patch
Patch9:		%{name}-support-cflags-with-commas.patch
# for troll only
Patch10:	%{name}-antialias.patch
Patch11:	%{name}-x11-free-quiet.patch
Patch12:	%{name}-fvisibility.patch
Patch13:	qt-buildkey-fixed.patch
Patch14:	%{name}-odbc.patch
Patch15:	qt-3.3.8.d-libpng15-1.patch
URL:		http://www.trolltech.com/products/qt/
%{?with_ibase:BuildRequires:	Firebird-devel >= 1.5.0}
BuildRequires:	OpenGL-GLU-devel
%{?with_cups:BuildRequires:	cups-devel}
BuildRequires:	flex
BuildRequires:	freetype-devel >= 1:2.0.0
%{?with_pch:BuildRequires:	gcc >= 5:3.4.0}
BuildRequires:	giflib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel >= 1.0.0
BuildRequires:	libpng-devel >= 2:1.0.8
BuildRequires:	libstdc++-devel
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_nas:BuildRequires:	nas-devel}
BuildRequires:	perl-base
%{?with_pgsql:BuildRequires:	postgresql-backend-devel}
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	sed >= 4.0
%{?with_sqlite:BuildRequires:	sqlite-devel}
%{?with_odbc:BuildRequires:	unixODBC-devel}
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	zlib-devel
Requires:	freetype >= 1:2.0.0
Requires:	libmng >= 1.0.0
Obsoletes:	qt-extensions
Obsoletes:	qt-utils
Conflicts:	kdelibs <= 8:3.2-0.030602.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1
%define		specflags	-fno-strict-aliasing

# <begin main library description>

%description
Qt is a complete C++ application development framework, which includes
a class library and tools for multiplatform development and
internationalization. Using Qt, a single source code tree can build
applications that run natively on different platforms (Windows,
Unix/Linux, Mac OS X, embedded Linux).

Qt has a rich set of standard widgets, and lets you write custom
controls. It encapsulates four different platform-specific APIs, and
the APIs for file-handling, networking, process-handling, threading,
database access, etc. Qt now also has Motif migration support and
Netscape LiveConnect plugin.

This package contains the shared, multi-threaded, Linux version of the
Qt library, the style plugins and translation files for Qt. Please
install qt-st if you need the single-threaded version of this library
(which isn't usually necessary).

%description -l es.UTF-8
Qt es un completo framework de desarrollo de aplicaciones en C++, el
que incluye una biblioteca de clases y unas herramientas para el
desarrollo multiplataforma e internacionalizado. Usando Qt, un
genérico árbol de código fuente se puede usar para construir
aplicaciones que puedan ejecutarse nativamente en varias plataformas
(Windows, Unix/Linux, Mac OS X, Linux embebido).

Qt provee un rico conjunto de componentes estándares y le permite
escribir unos propios. Encapsula cuatro APIs diferentes dependientes
de la plataforma y también APIs para el manejo de ficheros, la red, el
manejo de los procesos e hilos, acceso a bases de datos, etc. También
está incluido soporte de migración de Motif y un plugin para Netscape
LiveConnect.

Este paquete contiene la versión compartida multi-hilvanada de la
biblioteca Qt, los plugin de estilo y ficheros de traducción para Qt.
Instálese qt-st si necesita la versión mono-hilvanada de esta
biblioteca (lo cual normalmente no es necesario).

%description -l pl.UTF-8
Qt oferuje kompletny system do tworzenia i rozwijania aplikacji w
języku C++, w którego skład wchodzi biblioteka z klasami oraz
wieloplatformowymi narzędziami do rozwijania i tłumaczenia aplikacji.
Z pomocą Qt jeden kod źródłowy może być natywnie uruchamiany na
różnych platformach (Windows, Unix/Linux, Mac OS X).

Qt ma bogaty zbiór standardowych elementów interfejsu graficznego, ale
pozwala również na pisanie własnych elementów. Łączy w sposób
niewidoczny dla programisty interfejsy programowania różnych systemów,
tworząc w ten sposób jeden interfejs dla obsługi plików, sieci,
procesów, wątków, baz danych itp. Umożliwia także łatwe przenoszenie
na Qt aplikacji korzystających z Motif oraz pisanie wtyczek z
wykorzystaniem Netscape LiveConnect.

Ten pakiet zawiera współdzieloną, wielowątkową, linuksową wersję
biblioteki Qt, wtyczki ze stylami oraz pliki tłumaczeń Qt. Zainstaluj
qt-st jeśli potrzebujesz wersji jednowątkowej tej biblioteki (co
zwykle nie jest konieczne).

%description -l pt_BR.UTF-8
Contém as bibliotecas compartilhadas necessárias para rodar aplicações
Qt, bem como os arquivos README.

%package devel
Summary:	Development files for the Qt GUI toolkit
Summary(es.UTF-8):	Archivos de inclusión necesaria para compilar aplicaciones Qt
Summary(pl.UTF-8):	Pliki nagłówkowe, przykłady i dokumentacja do biblioteki
Summary(pt_BR.UTF-8):	Arquivos de inclusão necessária para compilar aplicações Qt
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{!?with_dlopen_gl:Requires:	OpenGL-devel}
Requires:	freetype-devel >= 1:2.0.0
Requires:	libjpeg-devel
Requires:	libmng-devel >= 1.0.0
Requires:	libpng-devel
Requires:	libstdc++-devel
Requires:	xorg-lib-libSM-devel
Requires:	xorg-lib-libXcursor-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXft-devel
Requires:	xorg-lib-libXinerama-devel
Requires:	xorg-lib-libXmu-devel
Requires:	xorg-lib-libXrandr-devel
Requires:	xorg-lib-libXrender-devel
Requires:	zlib-devel
Conflicts:	qt2-devel

%description devel
This package contains the Qt development tools: the metaobjects
compiler (moc) and the user interface compiler (uic); Qt include
files, pkgconfig helpers and tools for preserving compatibility
between versions of Qt.

%description devel -l pl.UTF-8
Ten pakiet zawiera narzędzia programistyczne Qt: kompilator
metaobiektów (moc), kompilator interfejsu użytkownika (uic); pliki
nagłówkowe, wsparcie dla pkgconfig oraz narzędzia ułatwiające
zachowanie kompatybilności niezależnie od wersji Qt.

%package static
Summary:	Qt static library
Summary(pl.UTF-8):	Biblioteka statyczna Qt
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Qt is a complete C++ application development framework, which includes
a class library and tools for multiplatform development and
internationalization. Using Qt, a single source code tree can build
applications that run natively on different platforms (Windows,
Unix/Linux, Mac OS X, embedded Linux).

Qt has a rich set of standard widgets, and lets you write custom
controls. It encapsulates four different platform-specific APIs, and
the APIs for file-handling, networking, process-handling, threading,
database access, etc. Qt now also has Motif migration oraz Netscape
LiveConnect plugin.

This package contains the static, multi-threaded, linux version of the
Qt library.

%description static -l pl.UTF-8
Qt oferuje kompletny system do tworzenia i rozwijania aplikacji w
języku C++, w którego skład wchodzi biblioteka z klasami oraz
wieloplatformowymi narzędziami do rozwijania i tłumaczenia aplikacji.
Z pomocą Qt jeden kod źródłowy może być natywnie uruchamiany na
różnych platformach (Windows, Unix/Linux, Mac OS X).

Qt ma bogaty zbiór standardowych elementów interfejsu graficznego, ale
pozwala również na pisanie własnych elementów. Łączy w sposób
niewidoczny dla programisty interfejsy programowania różnych systemów,
tworząc w ten sposób jeden interfejs dla obsługi plików, sieci,
procesów, wątków, baz danych itp. Umożliwia także łatwe przenoszenie
na Qt aplikacji korzystających z Motif oraz pisanie wtyczek z
wykorzystaniem Netscape LiveConnect.

Ten pakiet zawiera statyczną, wielowątkową, linuksową wersję
biblioteki Qt.

%package doc
Summary:	Qt Documentation in HTML format
Summary(pl.UTF-8):	Dokumentacja Qt w formacie HTML
Group:		X11/Development/Libraries
Obsoletes:	qt-doc-html

%description doc
Qt documentation in HTML format.

%description doc -l pl.UTF-8
Dokumentacja qt w formacie HTML.

%package man
Summary:	Qt man pages
Summary(pl.UTF-8):	Qt - strony man
Group:		X11/Development/Libraries
Obsoletes:	qt-doc-man

%description man
Qt documentation in man pages format.

%description man -l pl.UTF-8
Dokumentacja Qt w formacie stron man.

%package examples
Summary:	Example programs bundled with Qt
Summary(pl.UTF-8):	Ćwiczenia i przykłady do Qt
Summary(pt_BR.UTF-8):	Programas exemplo desenvolvidos com o Qt
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description examples
Example programs bundled with Qt version.

%description examples -l pl.UTF-8
Ćwiczenia/przykłady dołączone do Qt.

%description examples -l pt_BR.UTF-8
Programas exemplo para o Qt versão.

# <end main library desc>

# <start multithreaded plugins desc>

%package plugin-ibase
Summary:	Database plugin for InterBase/Firebird Qt support
Summary(pl.UTF-8):	Wtyczka InterBase/Firebird do Qt
Summary(pt_BR.UTF-8):	Plugin de suporte a InterBase/Firebird para Qt
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	Firebird-lib >= 1.5.0
Provides:	%{name}-plugin-sql = %{epoch}:%{version}-%{release}

%description plugin-ibase
This package contains a multi-thread enabled plugin for accessing
Interbase/Firebird database via the QSql classes.

%description plugin-ibase -l pl.UTF-8
Ten pakiet zawiera wielowątkową wersję wtyczki do Qt umożliwiającej
korzystanie z baz danych Interbase/Firebird poprzez klasy QSql.

%description plugin-ibase -l pt_BR.UTF-8
Plugin de suporte a InterBase/Firebird para Qt.

%package plugin-mysql
Summary:	Database plugin for MySQL Qt support
Summary(pl.UTF-8):	Wtyczka MySQL do Qt
Summary(pt_BR.UTF-8):	Plugin de suporte a MySQL para Qt
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-plugin-sql = %{epoch}:%{version}-%{release}
Obsoletes:	qt-plugins-mysql

%description plugin-mysql
This package contains a multi-thread enabled plugin for accessing
MySQL database via the QSql classes.

%description plugin-mysql -l pl.UTF-8
Ten pakiet zawiera wielowątkową wersję wtyczki do Qt umożliwiającej
korzystanie z baz danych MySQL poprzez klasy QSql.

%description plugin-mysql -l pt_BR.UTF-8
Plugin de suporte a MySQL para Qt.

%package plugin-odbc
Summary:	Database plugin for ODBC Qt support
Summary(pl.UTF-8):	Wtyczka ODBC do Qt
Summary(pt_BR.UTF-8):	Plugin de suporte a ODBC para Qt
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-plugin-sql = %{epoch}:%{version}-%{release}
Obsoletes:	qt-plugins-odbc

%description plugin-odbc
This package contains a multi-thread enabled plugin for accessing
unixODBC services via the QSql classes.

%description plugin-odbc -l pl.UTF-8
Ten pakiet zawiera wielowątkową wersję wtyczki do Qt umożliwiającej
korzystanie z usług unixODBC poprzez klasy QSql.

%description plugin-odbc -l pt_BR.UTF-8
Plugin de suporte a ODBC para Qt.

%package plugin-psql
Summary:	Database plugin for PostgreSQL Qt support
Summary(pl.UTF-8):	Wtyczka PostgreSQL do Qt
Summary(pt_BR.UTF-8):	Plugin de suporte a PostgreSQL para Qt
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-plugin-sql = %{epoch}:%{version}-%{release}
Obsoletes:	qt-plugins-psql

%description plugin-psql
This package contains a multi-thread enabled plugin for accessing
PostgreSQL database via the QSql classes.

%description plugin-psql -l es.UTF-8
Plugin de suporte a PostgreSQL para Qt.

%description plugin-psql -l pl.UTF-8
Ten pakiet zawiera wielowątkową wersję wtyczki do Qt umożliwiającej
korzystanie z baz danych PostgreSQL poprzez klasy QSql.

%package plugin-sqlite
Summary:	Database plugin for SQLite Qt support
Summary(pl.UTF-8):	Wtyczka SQLite do Qt
Summary(pt_BR.UTF-8):	Plugin de suporte a SQLite para Qt
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-plugin-sql = %{epoch}:%{version}-%{release}

%description plugin-sqlite
This package contains a multi-thread enabled plugin for using the
SQLite library (which allows to acces virtually any SQL database) via
the QSql classes.

%description plugin-sqlite -l pl.UTF-8
Ten pakiet zawiera wielowątkową wersję wtyczki do Qt umożliwiającej
korzystanie z baz danych PostgreSQL poprzez klasy QSql.

%description plugin-sqlite -l pt_BR.UTF-8
Plugin de suporte a SQLite para Qt.

# <end multithreaded plugins desc>

# <begin single threaded desc>

%package st
Summary:	Single-threaded Qt library
Summary(pl.UTF-8):	Jednowątkowa wersja biblioteki Qt
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description st
Qt is a complete C++ application development framework, which includes
a class library and tools for multiplatform development and
internationalization. Using Qt, a single source code tree can build
applications that run natively on different platforms (Windows,
Unix/Linux, Mac OS X, embedded Linux).

Qt has a rich set of standard widgets, and lets you write custom
controls. It encapsulates four different platform-specific APIs, and
the APIs for file-handling, networking, process-handling, threading,
database access, etc. Qt now also has Motif migration oraz Netscape
LiveConnect plugin.

This package contains the shared, single-threaded, linux version of
the Qt library and single-threaded styles for Qt. This version is
deprecated, please do not install it unless you explicitly need to.

%description st -l pl.UTF-8
Qt oferuje kompletny system do tworzenia i rozwijania aplikacji w
języku C++, w którego skład wchodzi biblioteka z klasami oraz
wieloplatformowymi narzędziami do rozwijania i tłumaczenia aplikacji.
Z pomocą Qt jeden kod źródłowy może być natywnie uruchamiany na
różnych platformach (Windows, Unix/Linux, Mac OS X).

Qt ma bogaty zbiór standardowych elementów interfejsu graficznego, ale
pozwala również na pisanie własnych elementów. Łączy w sposób
niewidoczny dla programisty interfejsy programowania różnych systemów,
tworząc w ten sposób jeden interfejs dla obsługi plików, sieci,
procesów, wątków, baz danych itp. Umożliwia także łatwe przenoszenie
na Qt aplikacji korzystających z Motif oraz pisanie wtyczek z
wykorzystaniem Netscape LiveConnect.

Ten pakiet zawiera współdzieloną, jednowątkową, linuksową wersję
biblioteki Qt oraz jednowątkowe wtyczki ze stylami. Ta wersja nie jest
już wspierana i nie zaleca się jej instalowania bez wyraźnej potrzeby.

%package st-devel
Summary:	Development files for single-threaded Qt library
Summary(pl.UTF-8):	Pliki programistyczne dla jednowątkowej biblioteki Qt
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{name}-st = %{epoch}:%{version}-%{release}

%description st-devel
This package contains the single threaded

%description st-devel -l pl.UTF-8
Pliki programistyczne dla jednowątkowej biblioteki Qt.

%package st-static
Summary:	Single-threaded Qt static libraries
Summary(pl.UTF-8):	Jednowątkowa statyczna biblioteka Qt
Group:		X11/Development/Libraries
Requires:	%{name}-st-devel = %{epoch}:%{version}-%{release}

%description st-static
Qt is a complete C++ application development framework, which includes
a class library and tools for multiplatform development and
internationalization. Using Qt, a single source code tree can build
applications that run natively on different platforms (Windows,
Unix/Linux, Mac OS X, embedded Linux).

Qt has a rich set of standard widgets, and lets you write custom
controls. It encapsulates four different platform-specific APIs, and
the APIs for file-handling, networking, process-handling, threading,
database access, etc. Qt now also has Motif migration oraz Netscape
LiveConnect plugin.

This package contains the static, single-threaded, linux version of
the Qt library and single-threaded styles for Qt. This version is
deprecated, please do not install it unless you explicitly need to.

%description st-static -l pl.UTF-8
Qt oferuje kompletny system do tworzenia i rozwijania aplikacji w
języku C++, w którego skład wchodzi biblioteka z klasami oraz
wieloplatformowymi narzędziami do rozwijania i tłumaczenia aplikacji.
Z pomocą Qt jeden kod źródłowy może być natywnie uruchamiany na
różnych platformach (Windows, Unix/Linux, Mac OS X).

Qt ma bogaty zbiór standardowych elementów interfejsu graficznego, ale
pozwala również na pisanie własnych elementów. Łączy w sposób
niewidoczny dla programisty interfejsy programowania różnych systemów,
tworząc w ten sposób jeden interfejs dla obsługi plików, sieci,
procesów, wątków, baz danych itp. Umożliwia także łatwe przenoszenie
na Qt aplikacji korzystających z Motif oraz pisanie wtyczek z
wykorzystaniem Netscape LiveConnect.

Ten pakiet zawiera współdzieloną, jednowątkową, linuksową wersję
biblioteki Qt oraz jednowątkowe wtyczki ze stylami. Ta wersja nie jest
już wspierana i nie zaleca się jej instalowania bez wyraźnej potrzeby.

%package st-plugin-ibase
Summary:	Database plugin for InterBase/Firebird support in single-threaded Qt
Summary(pl.UTF-8):	Wtyczka InterBase/Firebird do jednowątkowej wersji Qt
Group:		X11/Libraries
Requires:	%{name}-st = %{epoch}:%{version}-%{release}
Requires:	Firebird-lib >= 1.5.0
Provides:	%{name}-st-plugin-sql = %{epoch}:%{version}-%{release}

%description st-plugin-ibase
This package contains a single-thread plugin for accessing
InterBase/Firebird database via the QSql classes.

%description st-plugin-ibase -l pl.UTF-8
Ten pakiet zawiera jednowątkową wersję wtyczki do Qt umożliwiającej
korzystanie z baz danych InterBase/Firebird poprzez klasy QSql.

%package st-plugin-mysql
Summary:	Database plugin for MySQL support in single-threaded Qt
Summary(pl.UTF-8):	Wtyczka MySQL do jednowątkowej wersji Qt
Group:		X11/Libraries
Requires:	%{name}-st = %{epoch}:%{version}-%{release}
Provides:	%{name}-st-plugin-sql = %{epoch}:%{version}-%{release}

%description st-plugin-mysql
This package contains a single-thread plugin for accessing MySQL
database via the QSql classes.

%description st-plugin-mysql -l pl.UTF-8
Ten pakiet zawiera jednowątkową wersję wtyczki do Qt umożliwiającej
korzystanie z baz danych MySQL poprzez klasy QSql.

%package st-plugin-odbc
Summary:	Database plugin for ODBC support in single-threaded Qt
Summary(pl.UTF-8):	Wtyczka ODBC do jednowątkowej wersji Qt
Group:		X11/Libraries
Requires:	%{name}-st = %{epoch}:%{version}-%{release}
Provides:	%{name}-st-plugin-sql = %{epoch}:%{version}-%{release}

%description st-plugin-odbc
This package contains a single-thread enabled plugin for accessing
unixODBC services via the QSql classes.

%description st-plugin-odbc -l pl.UTF-8
Ten pakiet zawiera jednowątkową wersję wtyczki do Qt umożliwiającej
korzystanie z usług unixODBC poprzez klasy QSql.

%package st-plugin-psql
Summary:	Database plugin for PostgreSQL support in single-threaded Qt
Summary(pl.UTF-8):	Wtyczka PostgreSQL do jednowątkowej wersji Qt
Summary(pt_BR.UTF-8):	Plugin de suporte a PostgreSQL para Qt
Group:		X11/Libraries
Requires:	%{name}-st = %{epoch}:%{version}-%{release}
Provides:	%{name}-st-plugin-sql = %{epoch}:%{version}-%{release}

%description st-plugin-psql
This package contains a single-thread plugin for accessing PostgreSQL
database via the QSql classes.

%description st-plugin-psql -l pl.UTF-8
Ten pakiet zawiera jednowątkową wersję wtyczki do Qt umożliwiającej
korzystanie z baz danych PostgreSQL poprzez klasy QSql.

%package st-plugin-sqlite
Summary:	Database plugin for SQLite support in single-threaded Qt
Summary(pl.UTF-8):	Wtyczka SQLite do jednowątkowej wersji Qt
Group:		X11/Libraries
Requires:	%{name}-st = %{epoch}:%{version}-%{release}
Provides:	%{name}-st-plugin-sql = %{epoch}:%{version}-%{release}

%description st-plugin-sqlite
This package contains a single-thread plugin for using the SQLite
library (which allows to acces virtually any SQL database)

%description st-plugin-sqlite -l pl.UTF-8
Ten pakiet zawiera jednowątkową wersję wtyczki do Qt umożliwiającej
korzystanie z baz danych PostgreSQL poprzez klasy QSql.

%package linguist
Summary:	Translation helper for Qt
Summary(pl.UTF-8):	Aplikacja ułatwiająca tłumaczenie aplikacji oparty o Qt
Group:		X11/Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}
Conflicts:	qt-devel < 6:3.3.2-3

%description linguist
This program provides an interface that shortens and helps systematize
the process of translating GUIs. Qt Linguist takes all of the text of
a UI that will be shown to the user, and presents it to a human
translator in a simple window. When one UI text is translated, the
program automatically progresses to the next, until they are all
completed.

%description linguist -l pl.UTF-8
Ten program oferuje interfejs znacznie przyśpieszający proces
tłumaczenia interfejsu użytkownika. Zbiera wszystkie teksty
przeznaczone do tłumaczenia i przedstawia w łatwym w obsłudze oknie.
Gdy jeden z nich jest już przetłumaczony, automatycznie przechodzi do
następnego, aż wszystkie będą przetłumaczone.

%package assistant
Summary:	Qt documentation browser
Summary(pl.UTF-8):	Przeglądarka dokumentacji Qt
Group:		X11/Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-doc
Conflicts:	qt-devel < 6:3.3.2-3

%description assistant
Qt Assistant is a tool for browsing on-line documentation with
indexing, bookmarks and full-text search.

%description assistant -l pl.UTF-8
Qt Assistant to narzędzie do przeglądania dokumentacji z możliwością
indeksowania, dodawania zakładek i pełnotekstowego wyszukiwania.

%package -n qmake
Summary:	Qt makefile generator
Summary(pl.UTF-8):	Generator plików makefile dla aplikacji Qt
Group:		X11/Development/Tools
Conflicts:	qt-devel < 6:3.3.2-3

%description -n qmake
A powerful makefile generator. It can create makefiles on any platform
from a simple .pro definitions file.

%description -n qmake -l pl.UTF-8
Rozbudowany generator plików makefile. Potrafi tworzyć pliki makefile
na każdej platformie na podstawie łatwego w przygotowaniu pliku .pro.

%package -n qtconfig
Summary:	Qt widgets configuration tool
Summary(pl.UTF-8):	Narzędzie do konfigurowania widgetów Qt
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n qtconfig
A tool for configuring look and behavior of Qt widgets.

%description -n qtconfig -l pl.UTF-8
Narzędie do konfiguracji wyglądu i zachowania widgetów Qt.

%package designer
Summary:	IDE used for GUI designing with Qt library
Summary(pl.UTF-8):	IDE służące do projektowania GUI za pomocą biblioteki Qt
Group:		X11/Applications
Requires:	%{name}-designer-libs = %{epoch}:%{version}-%{release}

%description designer
An advanced tool used for GUI designing with Qt library.

%description designer -l pl.UTF-8
Zaawansowane narzędzie służące do projektowania interfejsu graficznego
za pomocą biblioteki Qt.

%package designer-libs
Summary:	Libraries IDE used for GUI designing with Qt library
Summary(pl.UTF-8):	Biblioteki do IDE służącego do projektowania GUI za pomocą biblioteki Qt
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description designer-libs
Libraries used by the Qt GUI Designer.

%description designer-libs -l pl.UTF-8
Biblioteki wykorzystywane przez narzędzie projektowania interfejsu
graficznego - Qt Designer.

%prep
%setup -q -n qt3

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p0
%patch13 -p1
%patch14 -p1
%patch15 -p1

# copy qt kde integration files
cp %{SOURCE8} %{SOURCE9} src/kernel
cp %{SOURCE9} include/private

# change QMAKE_CFLAGS_RELEASE to build
# properly optimized libs
cp mkspecs/linux-g++/qmake.conf{,.orig}
%{__sed} -i -e '
	s|/usr/lib|%{_libdir}|;
	s|/usr/X11R6/lib|/usr/%{_lib}|;
	s|/usr/X11R6/include|/usr/include|;
	s|(QTDIR)/lib|(QTDIR)/%{_lib}|;
	s|QMAKE_RPATH\s*=.*|QMAKE_RPATH =|
	s|QMAKE_STRIP\s*=.*|QMAKE_STRIP =|
	s|QMAKE_STRIPFLAGS_LIB\s*+=.*|QMAKE_STRIPFLAGS_LIB =|
	s|QMAKE_LINK\s*=.*g++|QMAKE_LINK = %{__cxx}|
	s|QMAKE_LINK_SHLIB\s*=.*g++|QMAKE_LINK_SHLIB = %{__cxx}|
	s|QMAKE_CC\s*=.*gcc|QMAKE_CC = %{__cc}|
	s|QMAKE_CXX\s*=.*g++|QMAKE_CXX = %{__cxx}|
	s|QMAKE_CFLAGS\s*=.*-pipe|QMAKE_CFLAGS\t=\t%{rpmcflags} -pipe|
	s|QMAKE_CFLAGS_RELEASE\s*=.*|QMAKE_CFLAGS_RELEASE\t=\t%{rpmcflags}|
	s|QMAKE_CFLAGS_DEBUG\s*=.*|QMAKE_CFLAGS_DEBUG\t=\t%{debugcflags}|
	s|QMAKE_CXXFLAGS_RELEASE\s*=.*|QMAKE_CXXFLAGS_RELEASE\t=\t%{rpmcxxflags}|
	s|QMAKE_CXXFLAGS_DEBUG\s*=.*|QMAKE_CXXFLAGS_DEBUG\t=\t%{debugcflags}|
	s|QMAKE_LFLAGS_RELEASE\s*=.*|QMAKE_LFLAGS_RELEASE\t=\t%{rpmldflags}|
	s|QMAKE_LFLAGS_DEBUG\s*=.*|QMAKE_LFLAGS_DEBUG\t=\t%{rpmldflags}|
	' mkspecs/linux-g++/qmake.conf

# default ODBC headers are used (from unixODBC), not iodbc ones; so link with unixODBC not libiodbc
%{__sed} -i -e 's/-liodbc/-lodbc/' src/sql/qt_sql.pri
%{__sed} -i -e 's/-liodbc/-lodbc/' plugins/src/sqldrivers/odbc/odbc.pro

%build
export QTDIR=$(pwd)
export PATH=$QTDIR/bin:$PATH
export LD_LIBRARY_PATH=$QTDIR/%{_lib}${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}

%if "%{_lib}" != "lib"
	ln -sf lib "%{_lib}"
%endif

# pass OPTFLAGS to build qmake itself with optimization
export OPTFLAGS="%{rpmcxxflags}"

##################################
# DEFAULT OPTIONS FOR ALL BUILDS #
##################################

DEFAULTOPT=" \
%if "%{_lib}" != "lib"
	-DUSE_LIB64_PATHES \
%endif
	-DQT_CLEAN_NAMESPACE \
	-release \
	-buildkey pld-linux \
	-verbose \
	-prefix %{_prefix} \
	-libdir %{_libdir} \
	-L%{_libdir} \
	-headerdir %{_includedir}/qt \
	-datadir %{_datadir}/qt \
	-docdir %{_docdir}/%{name}-doc \
	-sysconfdir %{_sysconfdir}/qt \
	-translationdir %{_datadir}/locale/ \
	-fast \
	-qt-gif \
	-system-libjpeg \
	-system-libmng \
	-system-libpng \
	-system-zlib \
	-no-exceptions \
	-ipv6 \
	-I%{_includedir}/postgresql/server \
	-I%{_includedir}/mysql \
	%{!?with_cups:-no}-cups \
	%{?with_nas:-system-nas-sound} \
	%{?with_dlopen_gl:-dlopen-opengl} \
	%{?with_pch:-pch} \
	%{?debug:-debug}"

##################################
#   OPTIONS FOR STATIC-{ST,MT}   #
##################################

%if %{with static_libs}
STATICOPT=" \
	-qt-imgfmt-jpeg \
	-qt-imgfmt-mng \
	-qt-imgfmt-png \
	%{?with_ibase:-qt-sql-ibase} \
	%{?with_mysql:-qt-sql-mysql} \
	%{?with_odbc:-qt-sql-odbc} \
	%{?with_pgsql:-qt-sql-psql} \
	%{?with_sqlite:-qt-sql-sqlite} \
	-static"
%endif

##################################
#      STATIC SINGLE-THREAD      #
##################################

%if %{with static_libs} && %{with single}
./configure \
	$DEFAULTOPT \
	$STATICOPT \
	<<_EOF_
yes
_EOF_
# Do not build tutorial and examples. Provide them as sources.
%{__make} symlinks src-qmake src-moc sub-src

# This will not remove previously compiled libraries.
%{__make} clean
%endif

##################################
#      STATIC MULTI-THREAD       #
##################################

%if %{with static_libs}
./configure \
	$DEFAULTOPT \
	$STATICOPT \
	-thread \
	<<_EOF_
yes
_EOF_

# Do not build tutorial and examples. Provide them as sources.
%{__make} symlinks src-qmake src-moc sub-src

# This will not remove previously compiled libraries.
%{__make} clean
%endif

##################################
#   OPTIONS FOR SHARED-{ST,MT}   #
##################################

SHAREDOPT=" \
	-plugin-imgfmt-jpeg \
	-plugin-imgfmt-mng \
	-plugin-imgfmt-png \
	%{?with_mysql:-plugin-sql-mysql} \
	%{?with_odbc:-plugin-sql-odbc} \
	%{?with_pgsql:-plugin-sql-psql} \
	%{?with_sqlite:-plugin-sql-sqlite} \
	%{?with_ibase:-plugin-sql-ibase} \
	-plugin-style-cde \
	-plugin-style-compact \
	-plugin-style-motif \
	-plugin-style-motifplus \
	-plugin-style-platinum \
	-plugin-style-sgi \
	-plugin-style-windows"

##################################
#	  SHARED SINGLE-THREAD	  #
##################################

%if %{with single}
# workaround for some nasty bug to avoid
# linking plugins statically with -lqt-mt
rm -f %{_lib}/libqt-mt.prl

./configure \
	$DEFAULTOPT \
	$SHAREDOPT \
	-plugindir %{_libdir}/qt/plugins-st \
	<<_EOF_
yes
_EOF_

# Do not build tutorial and examples. Provide them as sources.
%{__make} symlinks src-qmake src-moc sub-src

# Do not make tools, only plugins.
%{__make} -C plugins/src sub-imageformats sub-sqldrivers sub-styles

# This will not remove previously compiled libraries. But WILL remove
# plugins. And even if they weren't removed, they would be overwritten
# by next compilation. So they must be backed up.
rm -rf plugins-st
mkdir plugins-st
cp -R plugins/{imageformats,styles} plugins-st
%{?with_sql:cp -R plugins/sqldrivers plugins-st}
%{__make} clean
%endif

##################################
#	  SHARED MULTI-THREAD	   #
##################################

./configure \
	$DEFAULTOPT \
	$SHAREDOPT \
	-thread \
	-plugindir %{_libdir}/qt/plugins-mt \
	<<_EOF_
yes
_EOF_

%if %{without designer}
grep -v designer tools/tools.pro > tools/tools.pro.1
mv tools/tools.pro{.1,}
%{__make} -C tools/designer/uic \
	UIC="LD_PRELOAD=$QTDIR/%{_lib}/libqt-mt.so.3 $QTDIR/bin/uic -L $QTDIR/plugins"
%endif

# Do not build tutorial and examples. Provide them as sources.
#%%{__make} symlinks src-qmake src-moc sub-src sub-tools
# with __make -jN we can got (making qmake_image_collection.o):
#	cc1plus: error: designercore: No such file or directory
#	cc1plus: error: one or more PCH files were found, but they were invalid
#	cc1plus: error: use -Winvalid-pch for more information
%{__make} -j1 sub-tools \
	UIC="LD_PRELOAD=$QTDIR/%{_lib}/libqt-mt.so.3 $QTDIR/bin/uic -L $QTDIR/plugins"

%if %{with designer}
cd tools/designer/designer
LD_PRELOAD=$QTDIR/%{_lib}/libqt-mt.so.3 lrelease designer_de.ts
LD_PRELOAD=$QTDIR/%{_lib}/libqt-mt.so.3 lrelease designer_fr.ts
%endif
cd $QTDIR/tools/assistant
LD_PRELOAD=$QTDIR/%{_lib}/libqt-mt.so.3 lrelease assistant_de.ts
LD_PRELOAD=$QTDIR/%{_lib}/libqt-mt.so.3 lrelease assistant_fr.ts
cd $QTDIR/tools/linguist/linguist
LD_PRELOAD=$QTDIR/%{_lib}/libqt-mt.so.3 lrelease linguist_de.ts
LD_PRELOAD=$QTDIR/%{_lib}/libqt-mt.so.3 lrelease linguist_fr.ts
cd $QTDIR/translations/
for i in *.ts; do
	LD_PRELOAD=$QTDIR/%{_lib}/libqt-mt.so.3 lrelease ${i}
done
cd -

##make -C extensions/nsplugin/src

%install
rm -rf $RPM_BUILD_ROOT

export QTDIR=$(pwd)

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d \
	$RPM_BUILD_ROOT%{_sysconfdir}/qt \
	$RPM_BUILD_ROOT%{_libdir}/qt/plugins-mt/{crypto,network} \
	%{?with_single:$RPM_BUILD_ROOT%{_libdir}/qt/plugins-st/network} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}/lib \
	$RPM_BUILD_ROOT%{_mandir}/man{1,3} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

install -p bin/{findtr,qt20fix,qtrename140} \
	tools/{msg2qm/msg2qm,mergetr/mergetr} \
	$RPM_BUILD_ROOT%{_bindir}

%if %{with static_libs}
cp -a %{_lib}/libqt*.a		$RPM_BUILD_ROOT%{_libdir}
%endif

%if %{with single}
install -p %{_lib}/libqt.so.*.*.*	$RPM_BUILD_ROOT%{_libdir}
ln -sf libqt.so.%{ver}		$RPM_BUILD_ROOT%{_libdir}/libqt.so
cp -a %{_lib}/qt.pc		$RPM_BUILD_ROOT%{_pkgconfigdir}
cp -R plugins-st/*		$RPM_BUILD_ROOT%{_libdir}/qt/plugins-st
%endif

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%if %{with designer}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/designer.desktop
install %{SOURCE5} $RPM_BUILD_ROOT%{_pixmapsdir}
%endif

install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}

install %{SOURCE6} %{SOURCE7} $RPM_BUILD_ROOT%{_pixmapsdir}

cp -a tools/qtconfig/images/appicon.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/qtconfig.png

%if %{without designer}
install -p bin/uic $RPM_BUILD_ROOT%{_bindir}
%endif

# Because trolltech fails to think.
rm -rf $RPM_BUILD_ROOT%{_bindir}/qmake
install -p qmake/qmake $RPM_BUILD_ROOT%{_bindir}/qmake

cp -a doc/man/man1/*.1	$RPM_BUILD_ROOT%{_mandir}/man1
cp -a doc/man/man3/*.3qt	$RPM_BUILD_ROOT%{_mandir}/man3

cp -dpR examples tutorial $RPM_BUILD_ROOT%{_examplesdir}/%{name}

mv $RPM_BUILD_ROOT{%{_libdir}/*.prl,%{_examplesdir}/%{name}/lib}

%{__sed} -i -e '
	# From now QMAKE_INCDIR_QT becomes %{_includedir}/qt
	s|\(QMAKE_INCDIR_QT\s*=\s*\$(QTDIR)/include\)|\1/qt|
	# Remove ccache if any
	/QMAKE_\(CC\|CXX\|LINK\)/s|ccache ||;
' $RPM_BUILD_ROOT%{_datadir}/qt/mkspecs/linux-g++/qmake.conf
rm $RPM_BUILD_ROOT%{_datadir}/qt/mkspecs/linux-g++/qmake.conf.orig

# We provide qt style classes as plugins,
# so make corresponding changes to the qconfig.h.
chmod u+w $RPM_BUILD_ROOT%{_includedir}/qt/qconfig.h

cat >> $RPM_BUILD_ROOT%{_includedir}/qt/qconfig.h << EOF

/* All of these style classes we provide as plugins */
#define QT_NO_STYLE_CDE
#define QT_NO_STYLE_COMPACT
#define QT_NO_STYLE_MOTIF
#define QT_NO_STYLE_MOTIFPLUS
#define QT_NO_STYLE_PLATINUM
#define QT_NO_STYLE_SGI
#define QT_NO_STYLE_WINDOWS

EOF

install -d $RPM_BUILD_ROOT%{_datadir}/locale/{ar,ca,cs,de,es,fr,he,it,ja,nb,pt,pt_BR,ru,sk,zh_CN,zh_TW}/LC_MESSAGES
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_ar.qm,ar/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_ca.qm,ca/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_cs.qm,cs/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_de.qm,de/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_es.qm,es/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_fr.qm,fr/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_he.qm,he/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_it.qm,it/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_ja.qm,ja/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_nb.qm,nb/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_pt-br.qm,pt_BR/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_ru.qm,ru/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_sk.qm,sk/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_zh-cn.qm,zh_CN/LC_MESSAGES/qt.qm}
mv $RPM_BUILD_ROOT%{_datadir}/locale/{qt_zh-tw.qm,zh_TW/LC_MESSAGES/qt.qm}

%if %{with designer}
cp -a tools/designer/designer/designer_de.qm $RPM_BUILD_ROOT%{_datadir}/locale/de/LC_MESSAGES/designer.qm
cp -a tools/designer/designer/designer_fr.qm $RPM_BUILD_ROOT%{_datadir}/locale/fr/LC_MESSAGES/designer.qm
%endif

mv $RPM_BUILD_ROOT%{_datadir}/locale/{assistant_de.qm,de/LC_MESSAGES/assistant.qm}
cp -a tools/assistant/assistant_fr.qm $RPM_BUILD_ROOT%{_datadir}/locale/fr/LC_MESSAGES/assistant.qm

cp -a tools/linguist/linguist/linguist_de.qm $RPM_BUILD_ROOT%{_datadir}/locale/de/LC_MESSAGES/linguist.qm
cp -a tools/linguist/linguist/linguist_fr.qm $RPM_BUILD_ROOT%{_datadir}/locale/fr/LC_MESSAGES/linguist.qm

cp -a tools/linguist/qm2ts/qm2ts.1 $RPM_BUILD_ROOT%{_mandir}/man1

find $RPM_BUILD_ROOT -name CVS | xargs rm -rf

cd $RPM_BUILD_ROOT%{_examplesdir}/%{name}/examples
for i in $(find -name Makefile); do
	%{__sed} -i -e "s,$RPM_BUILD_DIR,/usr,g" $i
	%{__sed} -i -e "s,examples,src/examples/qt/examples,g" $i
done

cd $RPM_BUILD_ROOT%{_examplesdir}/%{name}/tutorial
for i in $(find -name Makefile); do
	%{__sed} -i -e "s,$RPM_BUILD_DIR,/usr,g" $i
	%{__sed} -i -e "s,examples,src/examples/qt/tutorial,g" $i
done

# drop some bad symlink
rm -f $RPM_BUILD_ROOT%{_datadir}/qt/mkspecs/linux-g++/linux-g++

# unwanted symlinks
rm $RPM_BUILD_ROOT%{_libdir}/libdesignercore.so.1.0
rm $RPM_BUILD_ROOT%{_libdir}/libeditor.so.1.0
rm $RPM_BUILD_ROOT%{_libdir}/libqassistantclient.so.1.0
rm $RPM_BUILD_ROOT%{_libdir}/libqt-mt.so.3.3
rm $RPM_BUILD_ROOT%{_libdir}/libqui.so.1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post		-p /sbin/ldconfig
%postun 	-p /sbin/ldconfig

%post 	st 	-p /sbin/ldconfig
%postun	st 	-p /sbin/ldconfig

%post	designer-libs -p /sbin/ldconfig
%postun	designer-libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc FAQ LICENSE.* README* changes*
%dir %{_sysconfdir}/qt
%attr(755,root,root) %{_libdir}/libqassistantclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqassistantclient.so.1
%attr(755,root,root) %{_libdir}/libqt-mt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqt-mt.so.3
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins-mt
%dir %{_libdir}/%{name}/plugins-mt/crypto
%dir %{_libdir}/%{name}/plugins-mt/imageformats
%attr(755,root,root) %{_libdir}/%{name}/plugins-mt/imageformats/*.so
%dir %{_libdir}/%{name}/plugins-mt/inputmethods
%attr(755,root,root) %{_libdir}/%{name}/plugins-mt/inputmethods/libqimsw-multi.so
%attr(755,root,root) %{_libdir}/%{name}/plugins-mt/inputmethods/libqimsw-none.so
%attr(755,root,root) %{_libdir}/%{name}/plugins-mt/inputmethods/libqsimple.so
%attr(755,root,root) %{_libdir}/%{name}/plugins-mt/inputmethods/libqxim.so
%dir %{_libdir}/%{name}/plugins-mt/network
%{?with_sql:%dir %{_libdir}/%{name}/plugins-mt/sqldrivers}
%dir %{_libdir}/%{name}/plugins-mt/styles
%attr(755,root,root) %{_libdir}/%{name}/plugins-mt/styles/*.so
%dir %{_datadir}/qt
%lang(ar) %{_datadir}/locale/ar/LC_MESSAGES/qt.qm
%lang(ca) %{_datadir}/locale/ca/LC_MESSAGES/qt.qm
%lang(cs) %{_datadir}/locale/cs/LC_MESSAGES/qt.qm
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/qt.qm
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/qt.qm
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/qt.qm
%lang(he) %{_datadir}/locale/he/LC_MESSAGES/qt.qm
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/qt.qm
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/qt.qm
%lang(nb) %{_datadir}/locale/nb/LC_MESSAGES/qt.qm
%lang(pt_BR) %{_datadir}/locale/pt_BR/LC_MESSAGES/qt.qm
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/qt.qm
%lang(sk) %{_datadir}/locale/sk/LC_MESSAGES/qt.qm
%lang(zh_CN) %{_datadir}/locale/zh_CN/LC_MESSAGES/qt.qm
%lang(zh_TW) %{_datadir}/locale/zh_TW/LC_MESSAGES/qt.qm

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/makeqpf
%attr(755,root,root) %{_bindir}/moc
%attr(755,root,root) %{_bindir}/qembed
%attr(755,root,root) %{_bindir}/qt20fix
#%attr(755,root,root) %{_bindir}/qt32castcompat
%attr(755,root,root) %{_bindir}/qtrename140
%attr(755,root,root) %{_bindir}/uic
%{_includedir}/qt
%{_libdir}/libqassistantclient.so
%{_libdir}/libqt-mt.la
%{_libdir}/libqt-mt.so
%{_mandir}/man1/moc*
%{_mandir}/man1/uic*
%{_pkgconfigdir}/qt-mt.pc

%files -n qmake
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qmake
%{_datadir}/qt/mkspecs

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libqt-mt.a
%endif

%files doc
%defattr(644,root,root,755)
%{_docdir}/%{name}-doc

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}

%files man
%defattr(644,root,root,755)
%{_mandir}/man3/Q*.3qt*
%{_mandir}/man3/q*.3qt*

%if %{with mysql}
%files plugin-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins-mt/sqldrivers/libqsqlmysql.so
%endif

%if %{with pgsql}
%files plugin-psql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins-mt/sqldrivers/libqsqlpsql.so
%endif

%if %{with odbc}
%files plugin-odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins-mt/sqldrivers/libqsqlodbc.so
%endif

%if %{with sqlite}
%files plugin-sqlite
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins-mt/sqldrivers/libqsqlite.so
%endif

%if %{with ibase}
%files plugin-ibase
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins-mt/sqldrivers/libqsqlibase.so
%endif

%if %{with single}
%files st
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqt.so.*.*.*
%dir %{_libdir}/%{name}/plugins-st
%dir %{_libdir}/%{name}/plugins-st/network
%{?with_sql:%dir %{_libdir}/%{name}/plugins-st/sqldrivers}
%dir %{_libdir}/%{name}/plugins-st/imageformats
%attr(755,root,root) %{_libdir}/%{name}/plugins-st/imageformats/*.so
%dir %{_libdir}/%{name}/plugins-st/styles
%attr(755,root,root) %{_libdir}/%{name}/plugins-st/styles/*.so

%files st-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqt.so
%{_pkgconfigdir}/qt.pc

%if %{with static_libs}
%files st-static
%defattr(644,root,root,755)
%{_libdir}/libqt.a
%endif

%if %{with mysql}
%files st-plugin-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins-st/sqldrivers/libqsqlmysql.so
%endif

%if %{with pgsql}
%files st-plugin-psql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins-st/sqldrivers/libqsqlpsql.so
%endif

%if %{with odbc}
%files st-plugin-odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins-st/sqldrivers/libqsqlodbc.so
%endif

%if %{with sqlite}
%files st-plugin-sqlite
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins-st/sqldrivers/libqsqlite.so
%endif

%if %{with ibase}
%files st-plugin-ibase
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins-st/sqldrivers/libqsqlibase.so
%endif
%endif

%if %{with designer}
%files designer-libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdesignercore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdesignercore.so.1
%attr(755,root,root) %{_libdir}/libeditor.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libeditor.so.1
%attr(755,root,root) %{_libdir}/libqui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqui.so.1
%attr(755,root,root) %{_libdir}/libdesignercore.so
%attr(755,root,root) %{_libdir}/libeditor.so
%attr(755,root,root) %{_libdir}/libqui.so

%files designer
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/createcw
%attr(755,root,root) %{_bindir}/designer
%attr(755,root,root) %{_libdir}/%{name}/plugins-?t/designer/*.so
%dir %{_libdir}/%{name}/plugins-?t/designer
%{_datadir}/qt/designer
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/designer.qm
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/designer.qm
%{_desktopdir}/designer.desktop
%{_pixmapsdir}/designer.png
%endif

%files assistant
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/assistant
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/assistant.qm
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/assistant.qm
%{_desktopdir}/assistant.desktop
%{_pixmapsdir}/assistant.png

%files linguist
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/linguist
%attr(755,root,root) %{_bindir}/findtr
%attr(755,root,root) %{_bindir}/lrelease
%attr(755,root,root) %{_bindir}/lupdate
%attr(755,root,root) %{_bindir}/mergetr
%attr(755,root,root) %{_bindir}/qm2ts
%attr(755,root,root) %{_bindir}/msg2qm
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/linguist.qm
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/linguist.qm
%{_datadir}/qt/phrasebooks
%{_desktopdir}/linguist.desktop
%{_pixmapsdir}/linguist.png
%{_mandir}/man1/l*
%{_mandir}/man1/*qm*

%files -n qtconfig
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qtconfig
%{_desktopdir}/qtconfig.desktop
%{_pixmapsdir}/qtconfig.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qt.spec,v $
Revision 1.416  2012/06/18 12:05:08  baggins
- release 4

Revision 1.415  2012/06/15 17:56:19  baggins
- rel 3

Revision 1.414  2012/03/04 09:27:04  qboosh
- package makeqpf and qembed utils in -devel
- release 2

Revision 1.413  2012/02/11 11:44:27  qboosh
- back to linking odbc plugin with unixODBC not libiodbc (unixODBC headers are used in both cases)
- enabled ibase plugin again (it builds now)

Revision 1.412  2012/02/10 14:38:51  arekm
- up to 3.3.8.d from trinity

Revision 1.411  2012/02/07 22:06:58  arekm
- release 14

Revision 1.410  2012/01/13 21:00:56  arekm
- release 13

Revision 1.409  2011/04/23 21:26:16  cactus
- rel 12;

Revision 1.408  2011/04/23 21:07:27  cactus
- add Trinity patch

Revision 1.407  2011/04/13 21:28:32  cactus
- add gcc46 patch and odbc patch

Revision 1.406  2011/04/13 20:59:34  cactus
- add gcc46 patch

Revision 1.405  2011/03/31 18:13:12  arekm
- release 10

Revision 1.404  2010/07/16 06:34:07  arekm
- rel 9; fix QTDIR/lib subtitution in qmake.conf

Revision 1.403  2010/05/12 12:06:40  baggins
- rel 8
- fixed desktop categories

Revision 1.402  2010/02/23 16:03:21  glen
- make -buildkey value override builtin
- remove ccache from resulting qmake files
- rel 7

Revision 1.401  2010/02/17 09:52:59  glen
- package all locale files

Revision 1.400  2010/02/16 21:10:16  glen
- update build flags so that -debuginfo contains anything useful

Revision 1.399  2010/02/16 16:23:16  glen
- package ghost soname symlinks
- preserve file timestamps, cleanups

Revision 1.398  2010/02/16 16:22:16  glen
- make libpng14 patch compatible with libpng12

Revision 1.397  2010/02/16 08:45:25  glen
- qt3-png14.patch is not libpng12 compatible

Revision 1.396  2010/01/30 14:20:07  arekm
- release 6

Revision 1.395  2010/01/28 18:18:03  arekm
- rel 5; fix build with libpng14

Revision 1.394  2010/01/28 14:18:42  megabajt
- release 4

Revision 1.393  2009/07/12 02:44:36  arekm
- release 3

Revision 1.392  2008/04/05 09:34:14  arekm
- rel 2; force constant buildkey so plugins/styles loading won't be dependant
  on configure flags (buildkey is derived from configure flags)

Revision 1.391  2008-04-03 21:15:18  arekm
- up to 3.3.8b

Revision 1.390  2008-03-08 21:55:13  qboosh
- don't add current dir to LD_LIBRARY_PATH if it's empty

Revision 1.389  2007-12-19 02:58:01  sls
- more info about problem with parallel build

Revision 1.388  2007-12-17 22:36:43  glen
- qtkdeintegration patches; rel 10

Revision 1.387  2007-12-11 16:11:08  sls
- __make -j1

Revision 1.386  2007-12-06 01:11:49  glen
- cosmetics

Revision 1.385  2007-12-06 00:41:20  glen
- qconfig.h is not writable

Revision 1.384  2007-12-05 23:48:36  glen
- AC-branch merge

Revision 1.383  2007-12-05 23:47:21  glen
- adapter

Revision 1.382  2007-11-25 21:44:36  qboosh
- clarified License

Revision 1.381  2007-11-13 13:00:32  shadzik
- rel 8 (rebuild with new mysql - requested by vip)

Revision 1.380  2007-11-09 18:14:47  hawk
- no -a1 in %setup, source 1 is .destkop file
- release 7

Revision 1.379  2007-09-16 17:17:26  adamg
- two more patches from qt-copy (one fixes CVE-2007-4137)
- release 6

Revision 1.378  2007/09/03 11:11:28  baggins
- rel 5

Revision 1.377  2007/07/31 07:31:07  arekm
- rel 4; fix CVE-2007-3388

Revision 1.376  2007/06/28 06:42:59  arekm
- rel 3; new qt-copy patches

Revision 1.375  2007/03/29 16:39:52  arekm
- rel 2; two new patches including one that fixes Qt UTF-8 overlong sequence decoding vulnerability

Revision 1.374  2007/02/24 16:35:48  arekm
- up to 3.3.8

Revision 1.373  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.372  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.371  2007/02/05 17:35:43  arekm
- rel 9; fresh qt-copy patches

Revision 1.370  2007/01/27 15:32:06  pluto
- disable single-threaded build ( it won't work with OpenGL ).
- enable precompiled headers ( Th's gcc supports this ).
- release 8 for rebuild with LD_SYMBOLIC_FUNCTIONS
  which reduces numer of relocations by 7.5k.

Revision 1.369  2007/01/26 07:17:03  arekm
- omg fix

Revision 1.368  2007/01/25 21:20:59  arekm
- rel 6; drop bad symlink

Revision 1.367  2006/12/23 18:14:01  arekm
- rel 5

Revision 1.366  2006/11/28 10:05:37  arekm
- rel 4

Revision 1.365  2006/11/25 13:31:23  arekm
- rel 3

Revision 1.364  2006/11/20 13:14:14  pluto
- release 2.

Revision 1.363  2006/11/13 15:01:54  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.362  2006/10/28 21:51:28  qboosh
- added CVE note to rev. 1.360 changelog message

Revision 1.361  2006/10/22 13:09:51  pluto
- md5.

Revision 1.360  2006/10/22 13:00:52  pluto
- updated to 3.3.7, fix cups detection on x86-64.
[fixes CVE-2006-4811]

Revision 1.359  2006/05/26 23:23:42  qboosh
- s/libungif/giflib/ in deps

Revision 1.358  2006/04/23 17:30:49  pluto
- release 2.

Revision 1.357  2006/04/14 07:37:35  arekm
- desc why patches are commented out

Revision 1.356  2006/04/13 22:07:17  arekm
- visibility enabled; disable some font related patches

Revision 1.355  2006/04/04 12:05:43  arekm
- update qt-copy patches

Revision 1.354  2006/04/03 18:39:17  arekm
- merge update to 3.3.6 from AC-branch

Revision 1.353  2006/03/05 14:26:31  qboosh
- switched to modular xorg

Revision 1.352  2006/03/05 07:59:00  qboosh
- cleanup

Revision 1.351  2006/03/05 07:48:31  qboosh
- renamed nvidia bcond to dlopen_gl, removed bogus X11-driver-nvidia-devel BR

Revision 1.350  2006/01/24 07:38:45  glen
- add epoches

Revision 1.349  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.348  2006/01/10 15:23:35  tommat
- fixed typo in pl qmake desc

Revision 1.347  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.346  2005/11/15 02:27:24  charles
- added -qlistview-takeItem_crash.patch
  more: http://www.mail-archive.com/pld-users-pl@lists.pld-linux.org/msg04865.html
- rel. 4, STBR

Revision 1.345  2005/10/27 17:51:57  arekm
- rel 3

Revision 1.344  2005/10/20 10:20:21  qboosh
- reenabled Firebird for Ac

Revision 1.343  2005/09/15 18:38:28  djurban
- fix uic errors on UI files with classes with :: in them, patch by Aaron Seigo

Revision 1.342  2005/09/12 11:58:31  pluto
- updated to 3.3.5 (bugfixes).

Revision 1.341  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.340  2005/05/03 20:40:44  pluto
- release 3 for Th.

Revision 1.339  2005/05/03 00:37:12  mmazur
- Firebird's code looks like crap and gcc4 doesn't like it; disabling firebird
  support

Revision 1.338  2005/04/13 15:36:06  pluto
- configure/sed fixed (now it works fine with commas in cflags).

Revision 1.337  2005/02/26 13:55:01  qboosh
- clean builddir after apply_patches

Revision 1.336  2005/02/12 22:50:00  arekm
- rel ++

Revision 1.335  2005/01/27 17:30:40  wolf
- 3.3.4 (pluto)

Revision 1.334  2004/12/30 00:06:43  pluto
- release 7.

Revision 1.333  2004/12/25 17:58:34  qboosh
- -devel R: zlib-devel

Revision 1.332  2004/12/15 23:46:22  qboosh
- rpmcxxflags BR: macros 1.167 (NOTE: not backported to AC-branch)

Revision 1.331  2004/12/15 09:13:03  pluto
- USING_PCH is obsolete (now ./configure takes -pch switch).

Revision 1.330  2004/12/15 09:07:16  pluto
- use cxx optflags.

Revision 1.329  2004/11/13 16:49:22  adgor
- Fixed %%files (designer)

Revision 1.328  2004/11/13 10:16:54  ankry
- rel. 6

Revision 1.327  2004/11/12 18:00:27  adgor
- Added icons for assistant, designer & linguist

Revision 1.326  2004/11/11 01:49:02  ankry
- rel. 5

Revision 1.325  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.324  2004/10/28 12:42:31  paladine
- "PostgreSQL" unification

Revision 1.323  2004/10/25 10:58:19  qboosh
- there is Firebird-devel on alpha now

Revision 1.322  2004/09/17 10:54:11  qboosh
- typo

Revision 1.321  2004/09/17 10:47:30  saq
- merged banner into %%description
- updated es description, volunteers to fix pt_BR?

Revision 1.320  2004/09/14 13:59:15  saq
- locale-charmap.patch: fix locale handling on locales whose implicit
  charmap isn't UTF-8

Revision 1.319  2004/08/28 14:29:51  gozda
- Changed to enable building with X11 nvidia drivers.
- djurban said building with nvidia is not needed, but if it doesn't do any harm, why not?

Revision 1.318  2004/08/26 22:49:30  djurban
- rel. 4 rebuild alone, then send kdelibs to pickit up

Revision 1.317  2004/08/26 20:21:45  qboosh
- duplicating random subset of (now automatically generated) non-versioned
  package names dependencies doesn't make any sense - disabled;
  added some versioned deps instead (where appropriate)

Revision 1.316  2004/08/26 19:11:24  djurban
- rel. 3, rebuild, should fix the problems.

Revision 1.315  2004/08/26 16:28:35  havner
- rel 2, rebuild it once again against this QProgressBar

Revision 1.314  2004/08/24 15:26:28  pluto
- %%files(devel) += libqt-mt.la

Revision 1.313  2004/08/23 17:12:32  qboosh
- strict deps where appropriate, unified Qt capitalization

Revision 1.312  2004/08/23 12:26:56  pluto
- pch enabled.

Revision 1.311  2004/08/23 11:47:45  pluto
- cleanup.

Revision 1.310  2004/08/20 21:41:09  djurban
- libungif not r:, since statically linked

Revision 1.309  2004/08/20 21:34:28  djurban
- add requires, fix qmake, now stbr

Revision 1.308  2004/08/20 20:53:18  djurban
- rel. 1 stbr

Revision 1.307  2004/08/20 17:31:59  djurban
- fix md5 before i kill somebody

Revision 1.306  2004/08/20 17:31:05  djurban
- FIIIIIIIIIIIIIIIIIIIIIIXXXXXXXXXXXXXXXXXXXXXXXXXX Source1.

Revision 1.305  2004/08/20 17:11:11  djurban
- updated to 3.3.3

Revision 1.304  2004/08/18 22:00:42  qboosh
- added amd64 to archs with Firebird support

Revision 1.303  2004/07/31 07:39:16  qboosh
- yacc is no longer needed for qt releases

Revision 1.302  2004/06/27 20:58:32  arekm
- rel 6

Revision 1.301  2004/06/27 18:49:59  arekm
- rel 5.1
- use __cc and __cxx for compilation
- do not complain about ,,QPixmap: Cannot create a QPixmap when no GUI is being used''
- other fixes (from FC), going into testing

Revision 1.300  2004/05/30 22:52:10  djurban
- dont br qmake

Revision 1.299  2004/05/30 22:51:21  djurban
- updated qt-copy-patches, fix build loop, rel. 5 (building now on betanet if works->ac and will be base for kde 3.2.3

Revision 1.298  2004/05/30 00:58:52  qboosh
- enabled ibase by default (on supported archs)
- finished versioned -sql-plugin Provides

Revision 1.297  2004/05/29 19:23:29  djurban
- moving examples makefile generation to %install  as qboosh suggested

Revision 1.296  2004/05/27 22:07:07  qboosh
- macros are not supported in Icon

Revision 1.295  2004/05/26 21:45:59  djurban
- qt icon added

Revision 1.294  2004/05/26 21:22:56  djurban
- get rid of waring ins %post

Revision 1.293  2004/05/26 21:10:36  djurban
- fix obsoletes/designer req

Revision 1.292  2004/05/26 18:38:30  djurban
- usability fixes in descriptions
- proper Makefile generation for examples/tutorials (reported by patrys this morning)
- separated: qmake, qt-assistant, qt-linguist removed qt-utils
- last TODO: make a working way for qt assistant to sync with qsa, two ways to do it:
  1. via the default profile (which means if you have an old profile and install qsa you wont have it in assistant)
  2. with an external script which would add it (and an info in %post qsa-doc) (tell me what is better)

Revision 1.291  2004/05/26 13:33:07  djurban
- rel. 3 added desktop files for assistant/linguist
- removed assistant_use_global_docs aptch which never worked
- removed qsa support which was never really supported in PLD, its
  buildsystem is shit (a c++ configure app installig stuff to /usr)
- fixed Antialiasing bug reported by twittner
- TODO: usability in descriptions (dont stbr yet)

Revision 1.290  2004/05/25 20:43:39  djurban
- add fix for antialiasing control by qt/kde

Revision 1.289  2004/05/13 17:43:07  ankry
- spaces -> tabs, other cosmetics

Revision 1.288  2004/05/05 11:00:10  adgor
- Ops.. %%post for main already exists

Revision 1.287  2004/05/05 10:32:56  adgor
- %%post for main; cleanups

Revision 1.286  2004/05/04 15:43:39  qboosh
- run ldconfig in -designer-libs post/postun
- really no need to duplicate autogenerated deps in plugings, cosmetics

Revision 1.285  2004/05/04 11:08:08  djurban
- Wrote: /home/users/djurban/rpm/RPMS/qt-3.3.2-1.8.pentium4.rpm
- rel. 2
- renumerated patche (mysql/pgsql include fixes removed)
- STBRing for ac.

Revision 1.284  2004/05/04 09:53:10  pluto
- pch_devel: path fixed.

Revision 1.283  2004/05/04 09:50:31  pluto
- bcond pch_devel added (experimental boost for the developers).

Revision 1.282  2004/05/03 21:38:47  adgor
- Removed includedir redefinition
- Cosmetics

Revision 1.281  2004/05/03 21:27:36  djurban
- br devels

Revision 1.280  2004/05/03 21:26:52  djurban
- more br

Revision 1.279  2004/05/03 21:24:59  djurban
- s/includedir/prefix/include. someone deifined includedir as prefic/include/qt

Revision 1.278  2004/05/03 21:22:12  djurban
- another way to fix mysql/postgres includes, disable patch1/2

Revision 1.277  2004/05/03 20:26:39  djurban
- fix --without designer
- add sqlite plugin
- add ibase plugin, disabled for now, wanna use it -> update Firebird.spec,
  which now grants us with ICE with gcc 3.3
- added necessary reqs to sqldrivers
- rel 1.8, building it now on alien

Revision 1.276  2004/04/27 18:10:03  adgor
- Added external qtconfig & designer desktop files

Revision 1.275  2004/04/27 14:03:56  adgor
- Added current patchset from qt-copy
- Added autodetect-pch.patch

Revision 1.274  2004/04/27 12:58:15  djurban
- enable pch in qmake in bcond (--with pch enables it)

Revision 1.273  2004/04/27 12:51:40  qboosh
- yet again: use optflags when building qmake itself

Revision 1.272  2004/04/27 12:24:31  pluto
- cvs stuff disabled.

Revision 1.271  2004/04/27 12:21:06  pluto
- updated to 3.3.2

Revision 1.270  2004/04/25 19:19:49  adgor
- May be built with each OpenGL

Revision 1.269  2004/04/25 15:30:25  pluto
- minior oGL fix.

Revision 1.268  2004/04/25 15:13:05  pluto
- X11(x.org).
- fixed obsoletes.

Revision 1.267  2004/04/24 08:50:39  pluto
- fixed BR:, now it works fine with xfree86/xorg/xlibs.

Revision 1.266  2004/04/22 13:00:27  adgor
- 04042 (some fixes for kde-3.2.2)

Revision 1.265  2004/04/21 17:08:52  qboosh
- fixed cut bcond desc

Revision 1.264  2004/04/21 15:03:34  adgor
- Misc improvements
- Release 2

Revision 1.263  2004/04/13 12:42:45  djurban
- updated to 040412 (new patch)
- properly subpackaged dsigner, now the without designer bcond is useful,
  n order to make use of t buidl this version with designer and install
  designer-* subpackages and then you will be able to build next version without
  designer and upgrade them without problms

Revision 1.262  2004/04/06 23:27:28  arekm
- call make by macro

Revision 1.261  2004/04/06 23:22:08  arekm
- merged DEVEL

Revision 1.260  2004/03/28 16:32:53  adasi
 - relup to rebuild on Ac builders
 - current build seems to have altivec ops on PPC

Revision 1.259  2004/03/27 01:51:57  adgor
- Added plugins-mt/crypto dir
- Fixed designer bcond

Revision 1.258  2004/02/16 14:04:48  pluto
- another gcc34 fix.

Revision 1.257  2004/02/16 11:53:18  pluto
- g++ 3.4 fix: clean namespace is now required !
               g++ is now much closer to full conformance to the iso/ansi c++ standard.
               this means, among other things, that a lot of invalid constructs which
               used to be accepted in previous versions will now be rejected.
               it is very likely that existing c++ code will need to be fixed.

Revision 1.256  2004/02/08 13:02:37  pluto
- fixed BR:

Revision 1.255  2004/02/07 23:48:04  qboosh
- BR: sed 4.0

Revision 1.254  2004/02/07 16:21:16  djurban
- merge qt from devel it seems they fixed most bugs, only kjofol sucks at the moment
  but it will be fixed on branch in the next weeks
- rel. 2
- added Hausmanns patch from qt-copy that speeds up qtexteditor a bit
- this will go to ac  if it builds...

Revision 1.247.2.32  2004/04/04 16:36:12  djurban
- fix build without designer

Revision 1.247.2.31  2004/04/04 00:03:28  adgor
- 040404

Revision 1.247.2.30  2004/03/28 19:53:14  arekm
- switch xlibs bcond

Revision 1.247.2.29  2004/03/27 01:53:03  adgor
- Fixed designer bcond

Revision 1.247.2.28  2004/03/27 01:43:13  adgor
- Added plugins-mt/crypto dir

Revision 1.247.2.27  2004/03/27 00:03:46  adgor
- Added tiny-qstring-speedup.patch (by Dirk Mueller)
- Release 2

Revision 1.247.2.26  2004/03/25 12:43:46  adgor
- 040325

Revision 1.247.2.25  2004/03/23 15:41:14  adgor
- Added qrichtext-fix-strike-out.patch
- Release 3

Revision 1.247.2.24  2004/03/18 00:53:51  arekm
- xfree86 bcond

Revision 1.247.2.23  2004/03/10 20:53:53  pluto
- removed redudant BR:, release 2.

Revision 1.247.2.22  2004/03/05 14:04:40  pluto
- gcc 3.4 fixes.

Revision 1.247.2.21  2004/03/05 11:37:56  adgor
- Grr... 040305

Revision 1.247.2.20  2004/03/04 18:46:24  adgor
- Builds; release 1

Revision 1.247.2.19  2004/03/04 17:09:08  adgor
- and more ...

Revision 1.247.2.18  2004/03/04 17:05:14  adgor
- Some new BR

Revision 1.247.2.17  2004/03/04 15:23:58  adgor
- ver 0.1

Revision 1.247.2.16  2004/03/04 15:23:05  adgor
- Started update to 3.3.1. Don't know whether it builds

Revision 1.247.2.15  2004/02/08 00:06:18  adgor
- Merged qboosh changes from head

Revision 1.247.2.14  2004/02/07 19:32:35  adgor
- 040207

Revision 1.247.2.13  2004/02/05 17:15:13  adgor
- 040205 - 3.3.0 final + kde patches

Revision 1.247.2.12  2004/02/03 13:18:31  adgor
- Updatyed to current (040203) snap

Revision 1.247.2.11  2004/01/23 10:50:29  adgor
- Reverted bcond name
- Fixed %%install
- Switched to new tarball, so patch 10 removed
- Release 3

Revision 1.247.2.10  2004/01/22 20:02:40  djurban
- added a patch by Lubos Lunak to fix KDE #61412 bug
- it was added to qt-copy but I wont regenerate the tarball for one stupid file
- rel2

Revision 1.247.2.9  2004/01/22 17:37:13  djurban
- updated to 040122 (this is required if you are planning to use kde 3.2 final)
- bcond static_libs->static (who's idea was static_libs anyway?)
- bcond_without designer, because designer hardly ever changes in snaps and
  compiling it takes more time than libqt
- added cs,sk translations

Revision 1.247.2.8  2004/01/10 11:56:53  adgor
- Fixed br

Revision 1.247.2.7  2004/01/08 20:59:08  adgor
- Removed obsoleted patrch entry
- Added BR for with nvidia bcond
- Added designer.desktop
- Release 1

Revision 1.247.2.6  2004/01/04 14:04:13  adgor
- commented out patch10 (djurban - do not tease me!!)

Revision 1.247.2.5  2004/01/03 19:08:57  djurban
- I have no idea if it builts, but what the heck, it doesnt have to work
- updated to 040103
- nptl fixes from gentoo
- pkgconfig&la patch is back
- added -ipv6

Revision 1.247.2.4  2003/12/22 12:35:11  adgor
- Updated to 031221 snap (qt-3.3.0)
- Updated postgresql_7_2 & qmake-nostatic patches
- Added with_nvidia bcond (broken at this moment)
- qmake-la-and-pc-fix.patch or similar 0029 kde patch does not apply (needs
  checkout)
- Fixed %%install & %%files
- Release 0.%%{_snap}.0.1

Revision 1.247.2.3  2003/12/05 17:37:04  adgor
- Fixed req for qtconfig
- Release 3

Revision 1.247.2.2  2003/12/05 02:12:04  adgor
- Separated qtconfig
- Release 2

Revision 1.247.2.1  2003/11/23 01:47:19  adgor
- 031122 qt-copy snap

Revision 1.247  2003/11/16 21:59:09  qboosh
- fixed patches archive md5, bcond standardization (s/static/&_libs/)

Revision 1.247.2.13  2004/02/05 17:15:13  adgor
- 040205 - 3.3.0 final + kde patches

Revision 1.247.2.12  2004/02/03 13:18:31  adgor
- Updatyed to current (040203) snap

Revision 1.247.2.11  2004/01/23 10:50:29  adgor
- Reverted bcond name
- Fixed %%install
- Switched to new tarball, so patch 10 removed
- Release 3

Revision 1.247.2.10  2004/01/22 20:02:40  djurban
- added a patch by Lubos Lunak to fix KDE #61412 bug
- it was added to qt-copy but I wont regenerate the tarball for one stupid file
- rel2

Revision 1.247.2.9  2004/01/22 17:37:13  djurban
- updated to 040122 (this is required if you are planning to use kde 3.2 final)
- bcond static_libs->static (who's idea was static_libs anyway?)
- bcond_without designer, because designer hardly ever changes in snaps and
  compiling it takes more time than libqt
- added cs,sk translations

Revision 1.247.2.8  2004/01/10 11:56:53  adgor
- Fixed br

Revision 1.247.2.7  2004/01/08 20:59:08  adgor
- Removed obsoleted patrch entry
- Added BR for with nvidia bcond
- Added designer.desktop
- Release 1

Revision 1.247.2.6  2004/01/04 14:04:13  adgor
- commented out patch10 (djurban - do not tease me!!)

Revision 1.247.2.5  2004/01/03 19:08:57  djurban
- I have no idea if it builts, but what the heck, it doesnt have to work
- updated to 040103
- nptl fixes from gentoo
- pkgconfig&la patch is back
- added -ipv6

Revision 1.247.2.4  2003/12/22 12:35:11  adgor
- Updated to 031221 snap (qt-3.3.0)
- Updated postgresql_7_2 & qmake-nostatic patches
- Added with_nvidia bcond (broken at this moment)
- qmake-la-and-pc-fix.patch or similar 0029 kde patch does not apply (needs
  checkout)
- Fixed %%install & %%files
- Release 0.%%{_snap}.0.1

Revision 1.247.2.3  2003/12/05 17:37:04  adgor
- Fixed req for qtconfig
- Release 3

Revision 1.247.2.2  2003/12/05 02:12:04  adgor
- Separated qtconfig
- Release 2

Revision 1.247.2.1  2003/11/23 01:47:19  adgor
- 031122 qt-copy snap
